%define upstream_name	 HTTP-Proxy
%define upstream_version 0.25

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A pure Perl HTTP proxy
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://http-proxy.mongueurs.net/
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTTP::Daemon) >= 1.250.0
BuildRequires: perl(LWP::UserAgent) >= 2.0.0
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
The HTTP::Proxy module implements a HTTP proxy, using a HTTP::Daemon to
accept client connections, and a LWP::UserAgent to ask for the requested
pages.

The most interesting feature of this proxy object is its ability to
filter the HTTP requests and responses through user-defined filters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 755 eg/*.pl

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
rm -f t/02pod-coverage.t
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%files
%doc Changes META.yml README eg
%{perl_vendorlib}/HTTP/*
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.250.0-2.mga3
+ Revision: 368323
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 0.25

* Sun Jan 23 2011 jquelin <jquelin> 0.240.0-1.mga1
+ Revision: 33829
- mageia rebuild
- imported package perl-HTTP-Proxy

